Bug 105660 - Kernel 2.4.20-20.9 (bhcompile@stripples.devel.redhat.com) Panics with Netatalk
Kernel 2.4.20-20.9 (bhcompile@stripples.devel.redhat.com) Panics with Netatalk
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-26 08:50 EDT by William Tihen -- Tech Director @ TASIS
Modified: 2015-01-04 17:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Tihen -- Tech Director @ TASIS 2003-09-26 08:50:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Linux 2.4.20-20.9 i686; U) Opera 7.11  [en]

Description of problem:
Kernel 2.4.20-20.9 panics after running with Netatalk (1.5.5).

A busy server crashes faster than a less busy server.

Version-Release number of selected component (if applicable):
Kernel 2.4.20-20.9 

How reproducible:
Always

Steps to Reproduce:
1. Install and boot Kernel 2.4.20-20.9
2. Run Netatalk 1.5.5
3.
    

Actual Results:  [<c0109630>] error_code    [kernel] 0x34 (0xc0651d18))
[<c0117408>] do_page_fault [kernel] 0x68 (0xc0651d4c))
[<c01173a0>] do_page_fault [kernel] 0x0  (0xc0651d64))
.
.
repeat many times
.
.
code: ff 00 0f 88 8d 04 00 00 89 74 24 04 89 1c 24 e8 84 ab 01 00

<0> kernel panic: Attempted to kill the idle task!
In idle task - not syncing

Expected Results:  I like it better how Linux version 2.4.20-19.9 
(bhcompile@stripples.devel.redhat.com) runs for months on end without any 
problems.

Additional info:

I can send my /var/log/messages with boot messages and log leading up to the 
problem.  The stuff closest to the crash follows:

Sep 24 15:43:51 efiles afpd[4573]: session from 65280.128:247 on 65280.29:130
Sep 24 15:43:51 efiles afpd[4573]: dhx login: durrhors
Sep 24 15:43:51 efiles afpd[4573]: uams_dhx_pam.c :PAM: PAM Success -- Success
Sep 24 15:43:51 efiles netatalk(pam_unix)[4573]: session opened for user 
durrhors by (uid=0)
Sep 24 15:43:51 efiles afpd[4573]: uams_dhx_pam.c :PAM: PAM Auth OK!
Sep 24 15:43:51 efiles afpd[4573]: login durrhors (uid 689, gid 689) AFP2.2
Sep 24 20:21:56 efiles kernel: i8253 count too high! resetting..
Sep 24 20:26:48 efiles afpd[3117]: asp_alrm: 4141 timed out
Sep 24 20:26:58 efiles afpd[4141]: atp_rresp: Connection timed out
Sep 24 20:27:08 efiles afpd[4141]: afp_die: asp_shutdown: Connection timed out
Sep 24 20:27:08 efiles netatalk(pam_unix)[4141]: session closed for user 
kopplaur
Sep 24 20:27:08 efiles afpd[4141]: 601.48KB read, 565.33KB written
Sep 24 20:27:08 efiles afpd[3117]: server_child[0] 4141 done
Sep 24 21:39:47 efiles ntpd[2911]: time reset -0.690698 s
Sep 24 21:39:47 efiles ntpd[2911]: synchronisation lost
Sep 24 22:09:48 efiles afpd[4680]: session from 65459.181:247 on 65280.29:129
Sep 24 22:09:48 efiles afpd[4680]: dhx login: kopplaur
Sep 24 22:09:48 efiles afpd[4680]: uams_dhx_pam.c :PAM: PAM Success -- Success
Sep 24 22:09:48 efiles netatalk(pam_unix)[4680]: session opened for user 
kopplaur by (uid=0)
Sep 24 22:09:48 efiles afpd[4680]: uams_dhx_pam.c :PAM: PAM Auth OK!
Sep 24 22:09:48 efiles afpd[4680]: login kopplaur (uid 740, gid 740) AFP2.2
Sep 24 22:58:17 efiles afpd[3117]: asp_alrm: 4680 timed out
Sep 24 22:58:27 efiles afpd[4680]: atp_rresp: Connection timed out
Sep 24 22:58:37 efiles afpd[4680]: afp_die: asp_shutdown: Connection timed out
Sep 24 22:58:37 efiles netatalk(pam_unix)[4680]: session closed for user 
kopplaur
Sep 24 22:58:37 efiles afpd[4680]: 185.05KB read, 294.46KB written
Sep 24 22:58:37 efiles afpd[3117]: server_child[0] 4680 done
Sep 24 23:10:31 efiles ntpd[2911]: time reset 0.698641 s
Sep 24 23:10:31 efiles ntpd[2911]: synchronisation lost
Sep 24 23:15:58 efiles afpd[3117]: refused connect from 172.25.100.61
Sep 24 23:15:58 efiles afpd[3117]: dsi_getsess: Connection refused
Sep 24 23:16:13 efiles afpd[4699]: session from 65423.88:247 on 65280.29:129
Sep 24 23:16:13 efiles afpd[4699]: dhx login: kopplaur
Sep 24 23:16:13 efiles afpd[4699]: uams_dhx_pam.c :PAM: PAM Success -- Success
Sep 24 23:16:13 efiles netatalk(pam_unix)[4699]: session opened for user 
kopplaur by (uid=0)
Sep 24 23:16:13 efiles afpd[4699]: uams_dhx_pam.c :PAM: PAM Auth OK!
Sep 24 23:16:13 efiles afpd[4699]: login kopplaur (uid 740, gid 740) AFP2.2
Sep 25 00:13:05 efiles ntpd[2911]: time reset -0.315093 s
Sep 25 00:13:05 efiles ntpd[2911]: synchronisation lost
Sep 25 03:19:25 efiles kernel: i8253 count too high! resetting..
Sep 25 04:02:21 efiles kernel: Unable to handle kernel paging request at virtual 
address ff1f84c0
Sep 25 04:02:21 efiles kernel:  printing eip:
Comment 1 Dave Jones 2004-01-04 23:39:38 EST
How does the latest errata kernel run ? (2.4.20-27.9)
Comment 2 Bugzilla owner 2004-09-30 11:41:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.